#version 410 core
out vec4 FragColor;

in vec2 TexCoords;
in vec4 ParticleColor;

void main() {
    float dist = length(TexCoords - vec2(0.5));
    float alpha = smoothstep(0.5, 0.2, dist) * ParticleColor.a;
    FragColor = vec4(ParticleColor.rgb, alpha);
}